import request from "@/utils/request";
import { TypeGoodsDTO, TypeGoodsInfoDTO } from "@/types/DTO/goodsDTO";

// 获取商品列表
export const getGoodsList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeGoodsInfoDTO>>({
    url: "/goods/goods/list",
    method: "get",
    params: query,
  });
};

// 获取商品详情
export const getGoodsInfo = (data: number) => {
  return request<RespondDataType<TypeGoodsInfoDTO>>({
    url: "/goods/goods/" + data,
    method: "get",
  });
};

// 新增
export const saveGoods = (data: TypeGoodsDTO) => {
  return request<RespondDataType>({
    url: "/goods/goods/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateGoods = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/goods/goods/upd",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteGoods = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/goods/goods/" + data,
    method: "delete",
  });
};
